From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/i3status/
Date: Fri, 5 Jul 2019 08:36:04 +0000 (UTC) [thread overview]
Message-ID: <1562315762.d26e6f7cf1538194f96ab96c5d894c495f780468.jer@gentoo> (raw)
commit: d26e6f7cf1538194f96ab96c5d894c495f780468
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 5 08:35:18 2019 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Jul 5 08:36:02 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d26e6f7c
x11-misc/i3status: Version 2.13
Package-Manager: Portage-2.3.68, Repoman-2.3.16
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
x11-misc/i3status/Manifest | 1 +
x11-misc/i3status/i3status-2.13.ebuild | 46 ++++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/x11-misc/i3status/Manifest b/x11-misc/i3status/Manifest
index 0b1283c2fc0..8f7a097491c 100644
--- a/x11-misc/i3status/Manifest
+++ b/x11-misc/i3status/Manifest
@@ -1 +1,2 @@
DIST i3status-2.12.tar.bz2 57162 BLAKE2B d3225581b628640bfb6084b390a135562c2ce052078cf014a63e106c83beb14b38270eee28d01898d478a9593ce542684252e420ffe37d07f392509ac9b2a749 SHA512 687a880a65cb8df46f5e9d2256b59724ba3424c502e9a0fb3ca71b070875df5f4008ee501c554bc716f2d728a5cf813a36d22d7377d42c3c46b14381d385bab3
+DIST i3status-2.13.tar.bz2 201409 BLAKE2B e087d69e2df3ae9348cb55739023b2164dfa3543551d173b138c72e574714069d8397716b95e92c4315aa538ea31b33aa73532d6d0f75bbc38d7db54e1f665bc SHA512 6dadff19e53499d169ba4f491e1f821014b4f92fc3c93d7947c85cbbbdeaba538d02bd8ab98fe266a8f80756a287fd5803ec77a8cd874d50082b5cad309875c2
diff --git a/x11-misc/i3status/i3status-2.13.ebuild b/x11-misc/i3status/i3status-2.13.ebuild
new file mode 100644
index 00000000000..06ad9dcfa46
--- /dev/null
+++ b/x11-misc/i3status/i3status-2.13.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit fcaps
+
+DESCRIPTION="generates a status bar for dzen2, xmobar or similar"
+HOMEPAGE="https://i3wm.org/i3status/"
+SRC_URI="https://i3wm.org/${PN}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+ >=dev-libs/yajl-2.0.2
+ dev-libs/confuse:=
+ dev-libs/libnl:3
+ media-libs/alsa-lib
+ || ( media-sound/pulseaudio media-sound/apulse[sdk] )
+"
+DEPEND="
+ ${RDEPEND}
+ app-text/asciidoc
+ app-text/xmlto
+"
+
+src_compile() {
+ pushd "${S}/${CHOST}" || die
+ default
+}
+
+src_install() {
+ pushd "${S}/${CHOST}" || die
+ default
+}
+
+pkg_postinst() {
+ fcaps cap_net_admin usr/bin/${PN}
+ einfo "${PN} can be used with any of the following programs:"
+ einfo " i3bar (x11-wm/i3)"
+ einfo " x11-misc/xmobar"
+ einfo " x11-misc/dzen"
+ einfo "Please refer to manual: man ${PN}"
+}
next reply other threads:[~2019-07-05 8:36 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-07-05 8:36 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-06-20 12:02 [gentoo-commits] repo/gentoo:master commit in: x11-misc/i3status/ Jakov Smolić
2023-06-11 18:22 Andreas Sturmlechner
2023-06-11 18:22 Andreas Sturmlechner
2023-02-11 0:36 Sam James
2023-02-11 0:36 Sam James
2023-02-11 0:36 Sam James
2022-07-01 7:24 Arthur Zamarin
2021-11-22 14:01 Alexys Jacob
2021-09-21 13:41 Yixun Lan
2021-08-04 15:19 Alexys Jacob
2021-08-04 9:01 Sergei Trofimovich
2021-01-23 11:28 Sergei Trofimovich
2021-01-18 0:48 Sam James
2021-01-18 0:47 Sam James
2021-01-17 16:12 Jonas Stein
2020-11-26 22:30 Sergei Trofimovich
2020-11-26 22:15 Sergei Trofimovich
2020-11-25 7:45 Agostino Sarubbo
2020-11-25 7:43 Agostino Sarubbo
2018-07-16 6:32 Johannes Huber
2018-07-15 16:33 Mikle Kolyada
2018-07-10 19:03 Johannes Huber
2018-05-25 18:20 Aaron Bauman
2018-05-13 16:18 Jeroen Roovers
2018-03-26 19:18 Aaron Bauman
2018-01-06 21:49 Markus Meier
2017-06-20 12:53 Pacho Ramos
2016-06-05 13:37 Lars Wendler
2016-01-06 14:49 Kacper Kowalik
2016-01-03 5:00 Kacper Kowalik
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1562315762.d26e6f7cf1538194f96ab96c5d894c495f780468.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox